## EvFormFieldSignature EvFormFieldSignature |

## Synopsis

                        EvFormField;
                        EvFormFieldClass;
                        EvFormFieldText;
                        EvFormFieldTextClass;
                        EvFormFieldButton;
                        EvFormFieldButtonClass;
                        EvFormFieldChoice;
                        EvFormFieldChoiceClass;
                        EvFormFieldSignature;
                        EvFormFieldSignatureClass;
    enum                EvFormFieldTextType;
    enum                EvFormFieldButtonType;
    enum                EvFormFieldChoiceType;
    EvFormField *       ev_form_field_text_new              (gint id,
                                                             EvFormFieldTextType type);
    EvFormField *       ev_form_field_button_new            (gint id,
                                                             EvFormFieldButtonType type);
    EvFormField *       ev_form_field_choice_new            (gint id,
                                                             EvFormFieldChoiceType type);
    EvFormField *       ev_form_field_signature_new         (gint id);

## Object Hierarchy

      GObject
       +----EvFormField
             +----EvFormFieldButton
             +----EvFormFieldChoice
             +----EvFormFieldSignature
             +----EvFormFieldText

      GObject
       +----EvFormField
             +----EvFormFieldText

      GObject
       +----EvFormField
             +----EvFormFieldButton

      GObject
       +----EvFormField
             +----EvFormFieldChoice

      GObject
       +----EvFormField
             +----EvFormFieldSignature

## Description

## Details

### EvFormField

    typedef struct _EvFormField EvFormField;

### EvFormFieldClass

    typedef struct {
    	GObjectClass parent_class;
    } EvFormFieldClass;

### EvFormFieldText

    typedef struct _EvFormFieldText EvFormFieldText;

### EvFormFieldTextClass

    typedef struct {
    	EvFormFieldClass partent_class;
    } EvFormFieldTextClass;

### EvFormFieldButton

    typedef struct _EvFormFieldButton EvFormFieldButton;

### EvFormFieldButtonClass

    typedef struct {
    	EvFormFieldClass partent_class;
    } EvFormFieldButtonClass;

### EvFormFieldChoice

    typedef struct _EvFormFieldChoice EvFormFieldChoice;

### EvFormFieldChoiceClass

    typedef struct {
    	EvFormFieldClass partent_class;
    } EvFormFieldChoiceClass;

### EvFormFieldSignature

    typedef struct _EvFormFieldSignature EvFormFieldSignature;

### EvFormFieldSignatureClass

    typedef struct {
    	EvFormFieldClass partent_class;
    } EvFormFieldSignatureClass;

### enum EvFormFieldTextType

    typedef enum
    {
    	EV_FORM_FIELD_TEXT_NORMAL,
    	EV_FORM_FIELD_TEXT_MULTILINE,
    	EV_FORM_FIELD_TEXT_FILE_SELECT
    } EvFormFieldTextType;

### enum EvFormFieldButtonType

    typedef enum
    {
    	EV_FORM_FIELD_BUTTON_PUSH,
    	EV_FORM_FIELD_BUTTON_CHECK,
    	EV_FORM_FIELD_BUTTON_RADIO
    } EvFormFieldButtonType;

### enum EvFormFieldChoiceType

    typedef enum
    {
    	EV_FORM_FIELD_CHOICE_COMBO,
    	EV_FORM_FIELD_CHOICE_LIST
    } EvFormFieldChoiceType;

### ev_form_field_text_new ()

    EvFormField *       ev_form_field_text_new              (gint id,
                                                             EvFormFieldTextType type);

`id` : |
`type` : |
Returns : |

### ev_form_field_button_new ()

    EvFormField *       ev_form_field_button_new            (gint id,
                                                             EvFormFieldButtonType type);

`id` : |
`type` : |
Returns : |

### ev_form_field_choice_new ()

    EvFormField *       ev_form_field_choice_new            (gint id,
                                                             EvFormFieldChoiceType type);

`id` : |
`type` : |
Returns : |

### ev_form_field_signature_new ()

    EvFormField *       ev_form_field_signature_new         (gint id);

`id` : |
Returns : |